import { P2P } from '@shardeum-foundation/lib-types';
/** FUNCTIONS */
export declare function init(): void;
export declare function sync(activeNodes: P2P.SyncTypes.ActiveNode[]): Promise<boolean>;
type SyncNode = Partial<Pick<P2P.SyncTypes.ActiveNode, 'ip' | 'port'> & Pick<P2P.NodeListTypes.Node, 'externalIp' | 'externalPort'>>;
export declare function syncNewCycles(activeNodes: SyncNode[]): Promise<void>;
export declare function extraSyncLogsEnabled(source?: string): boolean;
export declare function digestCycle(cycle: P2P.CycleCreatorTypes.CycleRecord, source: string): void;
export declare function getNewestCycle(activeNodes: SyncNode[]): Promise<P2P.CycleCreatorTypes.CycleRecord>;
export declare function activeNodeCount(cycle: P2P.CycleCreatorTypes.CycleRecord): number;
export declare function showNodeCount(cycle: P2P.CycleCreatorTypes.CycleRecord): void;
export declare function totalNodeCount(cycle: P2P.CycleCreatorTypes.CycleRecord): number;
export {};
